=== debian/control ===
Source: gnutls28
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
 Eric Dorland <eric@debian.org>,
 James Westby <jw+debian@jameswestby.net>,
 Simon Josefsson <simon@josefsson.org>
Build-Depends: autogen (>= 1:5.16-0),
 automake (>= 1:1.12.2), bison, chrpath, debhelper (>= 10),
 libgmp-dev (>= 2:6), libidn2-dev, libopts25-dev,
 libp11-kit-dev (>= 0.23.10), libtasn1-6-dev (>= 4.9),
 libunbound-dev (>= 1.5.10-1), libunistring-dev (>= 0.9.7),
 nettle-dev (>= 3.4), pkg-config,
 ca-certificates <!nocheck>, datefudge <!nocheck>,
 freebsd-net-tools [kfreebsd-i386 kfreebsd-amd64] <!nocheck>,
 libcmocka-dev <!nocheck>, libssl-dev <!nocheck>,
 net-tools [!kfreebsd-i386 !kfreebsd-amd64] <!nocheck>,
 openssl <!nocheck>, softhsm2 <!nocheck>
# The b-d on libgmp-dev is not technically necessary, since nettle brings
# it along. However we want to enforce that gnutls is only built if the
# dual-licensed GMP is available, otherwise the resulting binary
# cannot be installed.
Build-Depends-Indep: gtk-doc-tools, texinfo (>= 4.8)
Build-Conflicts: libgnutls-dev
Rules-Requires-Root: no
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/gnutls-team/gnutls
Vcs-Git: https://salsa.debian.org/gnutls-team/gnutls.git
Homepage: https://www.gnutls.org/

Package: libgnutls28-dev
Section: libdevel
Architecture: any
Provides: gnutls-dev, libgnutls-openssl-dev
Depends: libgnutls30 (= ${binary:Version}),
 libgnutls-openssl27 (= ${binary:Version}),
 libgnutlsxx28 (= ${binary:Version}),
 libgnutls-dane0 (= ${binary:Version}),
 nettle-dev (>= 3.4), libc6-dev | libc-dev,
 libtasn1-6-dev, libp11-kit-dev (>= 0.23.10), libidn2-dev, ${misc:Depends}
Suggests: gnutls-doc, gnutls-bin
Conflicts: gnutls-dev
Replaces: gnutls-dev
Multi-Arch: same
Description: GNU TLS library - development files
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - certificate path validation, as well as DANE and trust on first use.
  - the Online Certificate Status Protocol (OCSP).
  - public key methods, including RSA and Elliptic curves, as well as password
    and key authentication methods such as SRP and PSK protocols.
  - all the strong encryption algorithms, including AES and Camellia.
  - CPU-assisted cryptography with VIA padlock and AES-NI instruction sets.
  - HSMs and cryptographic tokens, via PKCS #11.
 .
 This package contains the GnuTLS development files.

Package: libgnutls30
Architecture: any
# GMP >= 6 is dual-licensed GPLv2+/LGPLv2.1+. Be nice to rdeps and
# enforce usage of this version. - Remove on gmp soname bump!
Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp10 (>= 2:6)
Pre-Depends: ${misc:Pre-Depends}
Suggests: gnutls-bin
Multi-Arch: same
Description: GNU TLS library - main runtime library
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - certificate path validation, as well as DANE and trust on first use.
  - the Online Certificate Status Protocol (OCSP).
  - public key methods, including RSA and Elliptic curves, as well as password
    and key authentication methods such as SRP and PSK protocols.
  - all the strong encryption algorithms, including AES and Camellia.
  - CPU-assisted cryptography with VIA padlock and AES-NI instruction sets.
  - HSMs and cryptographic tokens, via PKCS #11.
 .
 This package contains the main runtime library.

Package: gnutls-bin
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: GNU TLS library - commandline utilities
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - certificate path validation, as well as DANE and trust on first use.
  - the Online Certificate Status Protocol (OCSP).
  - public key methods, including RSA and Elliptic curves, as well as password
    and key authentication methods such as SRP and PSK protocols.
  - all the strong encryption algorithms, including AES and Camellia.
  - CPU-assisted cryptography with VIA padlock and AES-NI instruction sets.
  - HSMs and cryptographic tokens, via PKCS #11.
 .
 This package contains a commandline interface to the GNU TLS library, which
 can be used to set up secure connections from e.g. shell scripts, debugging
 connection issues or managing certificates.
 .
 Useful utilities include:
  - TLS termination: gnutls-cli, gnutls-serv
  - key and certificate management: certtool, ocsptool, p11tool
  - credential management: srptool, psktool

Package: gnutls-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GNU TLS library - documentation and examples
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - certificate path validation, as well as DANE and trust on first use.
  - the Online Certificate Status Protocol (OCSP).
  - public key methods, including RSA and Elliptic curves, as well as password
    and key authentication methods such as SRP and PSK protocols.
  - all the strong encryption algorithms, including AES and Camellia.
  - CPU-assisted cryptography with VIA padlock and AES-NI instruction sets.
  - HSMs and cryptographic tokens, via PKCS #11.
 .
 This package contains all the GnuTLS documentation.

Package: libgnutlsxx28
Architecture: any
Depends: libgnutls30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: GNU TLS library - C++ runtime library
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - certificate path validation, as well as DANE and trust on first use.
  - the Online Certificate Status Protocol (OCSP).
  - public key methods, including RSA and Elliptic curves, as well as password
    and key authentication methods such as SRP and PSK protocols.
  - all the strong encryption algorithms, including AES and Camellia.
  - CPU-assisted cryptography with VIA padlock and AES-NI instruction sets.
  - HSMs and cryptographic tokens, via PKCS #11.
 .
 This package contains the C++ runtime libraries.

Package: libgnutls-openssl27
Architecture: any
Depends: libgnutls30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: GNU TLS library - OpenSSL wrapper
 GnuTLS is a portable library which implements the Transport Layer
 Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - certificate path validation, as well as DANE and trust on first use.
  - the Online Certificate Status Protocol (OCSP).
  - public key methods, including RSA and Elliptic curves, as well as password
    and key authentication methods such as SRP and PSK protocols.
  - all the strong encryption algorithms, including AES and Camellia.
  - CPU-assisted cryptography with VIA padlock and AES-NI instruction sets.
  - HSMs and cryptographic tokens, via PKCS #11.
 .
 This package contains the runtime library of the GnuTLS OpenSSL wrapper.

Package: libgnutls-dane0
Architecture: any
Depends: libgnutls30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
# dns-root-data for danetool
Suggests: dns-root-data
Multi-Arch: same
Description: GNU TLS library - DANE security support
 Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
 Transport Layer Security (DTLS 1.0, 1.2) protocols.
 .
 GnuTLS features support for:
  - certificate path validation, as well as DANE and trust on first use.
  - the Online Certificate Status Protocol (OCSP).
  - public key methods, including RSA and Elliptic curves, as well as password
    and key authentication methods such as SRP and PSK protocols.
  - all the strong encryption algorithms, including AES and Camellia.
  - CPU-assisted cryptography with VIA padlock and AES-NI instruction sets.
  - HSMs and cryptographic tokens, via PKCS #11.
 .
 This package contains the runtime library for DANE (DNS-based Authentication
 of Named Entities) support.
