## gnutls28 3.6.5

=== debian/changelog ===
gnutls28 (3.6.5-2ubuntu1.1) disco-security; urgency=medium

  * SECURITY UPDATE: double free in cert verification API
    - debian/patches/CVE-2019-3829-1.patch: automatically NULLify after
      gnutls_free() in lib/includes/gnutls/gnutls.h.in.
    - debian/patches/CVE-2019-3829-2.patch: remove redundant resets of
      variables after free().
    - debian/patches/CVE-2019-3829-3.patch: fix dereference of NULL pointer
      in lib/x509/x509.c.
    - CVE-2019-3829
  * SECURITY UPDATE: uninitialized pointer access
    - debian/patches/CVE-2019-3836.patch: add missing initialization of
      local variable in lib/handshake-tls13.c.
    - CVE-2019-3836

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 May 2019 13:00:08 -0400

gnutls28 (3.6.5-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/disable_global_init_override_test.patch: disable
      failing test.
    - debian/patches/add-openssl-test-link.patch: add link for libssl
  * this is a new upstream release including a fix for LP: #1804673

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 18 Dec 2018 17:24:06 +0100

gnutls28 (3.6.5-2) unstable; urgency=low

  * Upload to unstable.
  * autopkgtest: Do not try to run cbc-record-check.sh, export ENABLE_GOST=1.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Dec 2018 13:56:19 +0100

gnutls28 (3.6.5-1) experimental; urgency=medium

  * Run "wrap-and-sort --max-line-length=72 --short-indent" and back comments.
  * Drop automake (>= 1:1.12.2) from Build-Depends; automake 1.14 is
    now in oldstable.
  * New upstream version.
    + Requires nettle >= 3.4.1(rc).
    + List newly added symbols in symbol file. Bump generated dependencies to
      >= 3.6.5 since multiple enums have been extended.
    + Accepts CTYPE-OPENPGP as (no-op) priority list element. Closes: #910835
  * [lintian] Drop dh_strip override, stable has automatic debug packages.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 05 Dec 2018 19:11:28 +0100

gnutls28 (3.6.4-2ubuntu2) disco; urgency=medium

  * No-change rebuild against libunbound8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 11 Nov 2018 09:01:12 +0000

gnutls28 (3.5.19-1) unstable; urgency=low

  * New upstream version.
    + Drop 35_modernize_gtkdoc.diff.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 16 Jul 2018 14:07:09 +0200
