=== debian/rules ===
--- 
+++ 
@@ -42,11 +42,11 @@
 
 
 override_dh_makeshlibs:
-	dh_makeshlibs $(BDIR) -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.6.3)'
-	dh_makeshlibs $(BDIR) -p libgnutls30  -V 'libgnutls30 (>= 3.6.4-0)' -- -c4
-	dh_makeshlibs $(BDIR) -p libgnutls-dane0  -V 'libgnutls-dane0 (>= 3.5.6-0)' \
+	dh_makeshlibs $(BDIR) -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.6.5)'
+	dh_makeshlibs $(BDIR) -p libgnutls30  -V 'libgnutls30 (>= 3.6.5-0)' -- -c4
+	dh_makeshlibs $(BDIR) -p libgnutls-dane0  -V 'libgnutls-dane0 (>= 3.6.5-0)' \
 		-- -c4
-	dh_makeshlibs $(BDIR) -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.0-0)'
+	dh_makeshlibs $(BDIR) -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.6.5-0)'
 	dh_makeshlibs $(BDIR) --remaining-packages
 
 
@@ -94,9 +94,6 @@
 override_dh_compress:
 	dh_compress $(BDIR) -X.pdf
 
-override_dh_strip:
-	dh_strip $(BDIR) --ddeb-migration='libgnutls30-dbg (<< 3.4.7-2~)'
-
 override_dh_auto_test:
 	dh_auto_test $(BDIR) --verbose -- VERBOSE=1
