## gnutls28 3.6.7

=== debian/changelog ===
gnutls28 (3.6.7-4+deb10u14) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2025-6395: NULL dereference when 2nd Client Hello omits PSK
  * CVE-2025-32988: Double-free upon error when exporting otherName in SAN
  * CVE-2025-32990: 1-byte write buffer overrun in certtool
  * Backport fix for autopkgtest on 32-bit architectures.

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 Aug 2025 21:17:44 +0300

gnutls28 (3.6.7-4+deb10u13) buster-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * Fix CVE-2024-12243: Potential DoS while parsing a certificate containing
    numerous names or name constraints.
  * Test suite: extend expiry date to fix x509sign-verify.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 27 Feb 2025 19:02:59 +0100

gnutls28 (3.6.7-4+deb10u12) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2024-0553: Timing side-channel vulnerability inside RSA-PSK key
    exchange. (Closes: #1061046)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 26 Feb 2024 01:04:02 +0100

gnutls28 (3.6.7-4+deb10u11) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2023-5981:
    A vulnerability was found in GnuTLS, a secure communications library, which
    may facilitate a timing attack to compromise a cryptographic system. The
    response times to malformed ciphertexts in RSA-PSK ClientKeyExchange differ
    from response times of ciphertexts with correct PKCS#1 v1.5 padding. Only
    TLS ciphertext processing is affected.

 -- Markus Koschany <apo@debian.org>  Wed, 22 Nov 2023 13:46:40 +0100

gnutls28 (3.6.7-4+deb10u10) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2023-0361:
    Hubert Kario discovered a timing side channel in the RSA decryption
    implementation of the GNU TLS library.

 -- Markus Koschany <apo@debian.org>  Sat, 18 Feb 2023 15:25:10 +0100

gnutls28 (3.6.7-4+deb10u9) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2022-2509: double free in gnutls_pkcs7_verify.
  * CVE-2021-4209: null pointer dereference in wrap_nettle_hash_fast.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 10 Aug 2022 14:59:38 +0200

gnutls28 (3.6.7-4+deb10u8) buster; urgency=medium

  * Non-maintainer upload.
  * Backport 48_testcompat-openssl-improve-testing-against-secured-O.patch to
    pass testsuite with openssl 1.1.1e.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 21 Mar 2022 22:46:29 +0100

gnutls28 (3.6.7-4+deb10u7) buster; urgency=medium

  * 46_handshake-reject-no_renegotiation-alert-if-handshake.patch pulled from
    3.6.15: It was found by oss-fuzz that the server sending a
    "no_renegotiation" alert in an unexpected timing, followed by an invalid
    second handshake can cause a TLS 1.3 client to crash via a null-pointer
    dereference. The crash happens in the application's error handling path,
    where the gnutls_deinit function is called after detecting a handshake
    failure.
    GNUTLS-SA-2020-09-04 CVE-2020-24659 Closes: #969547
  * Pull multiple fixes designated for 3.6.15 bugfix release:
    + 47_rel3.6.16_01-gnutls_buffer_append_data-remove-duplicated-code.patch
    + 47_rel3.6.16_02-_gnutls_buffer_resize-add-option-to-use-allocation-s.patch
    + 47_rel3.6.16_03-key_share-avoid-use-after-free-around-realloc.patch
      (CVE-2021-20231) and
      47_rel3.6.16_04-pre_shared_key-avoid-use-after-free-around-realloc.patch
      (CVE-2021-20232), both together GNUTLS-SA-2021-03-10.
    + 47_rel3.6.16_05-_gnutls_buffer_resize-account-for-unused-area-if-AGG.patch
    + 47_rel3.6.16_06-str-suppress-Wunused-function-if-AGGRESSIVE_REALLOC-.patch

 -- Andreas Metzler <ametzler@debian.org>  Fri, 14 May 2021 13:33:38 +0200

gnutls28 (3.6.7-4+deb10u6) buster; urgency=medium

  * 45_4.7.0plus-01_testpkcs11-use-datefudge-to-trick-certificate-expiry.patch
    Fix test suite error caused by expired certificate.
    Closes: #977552

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Jan 2021 18:10:33 +0100

gnutls28 (3.6.7-4+deb10u5) buster; urgency=medium

  * 42_rel3.6.11_10-session-tickets-parse-extension-during-session-resum.patch
    from GNUTLS 3.6.11: Fix TL1.2 resumption errors. Closes: #956649
  * 47_rel3.6.13_10-session_pack-fix-leak-in-error-path.patch from GNUTLS
    3.6.14: One line fix for memory leak. Closes: #958704
  * Rename
    44_rel3.6.14_01-stek-differentiate-initial-state-from-valid-time-win.patch
    (security upload) to 44_rel3.6.14_90_... to be able to pull earlier fixes
    from 3.6.14 and have correct patch filename order.
  * 44_rel3.6.14_10-Update-session_ticket.c-to-add-support-for-zero-leng.patch
    from GnuTLS 3.6.14: Handle zero length session tickets, fixing connection
    errors on TLS1.2 sessions to some big hosting providers. (See LP 1876286)
  * 44_rel3.6.14_15-_gnutls_pkcs11_verify_crt_status-check-validity-agai.patch
    44_rel3.6.14_16-x509-trigger-fallback-verification-path-when-cert-is.patch
    44_rel3.6.14_17-tests-add-test-case-for-certificate-chain-supersedin.patch
    backported from GnuTLS 3.6.14: Fix verification error with alternate
    chains. Closes: #961889

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jun 2020 07:45:55 +0200

gnutls28 (3.6.7-4+deb10u4) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * GNUTLS-SA-2020-06-03: Flaw in TLS session ticket key construction
    (CVE-2020-13777) (Closes: #962289)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 05 Jun 2020 19:32:17 +0200

gnutls28 (3.6.7-4+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * GNUTLS-SA-2020-03-31: dtls client hello: fix zeroed random
    (CVE-2020-11501)
    Fix a DTLS-protocol regression (caused by TLS1.3 support), since
    3.6.3. The DTLS client would not contribute any randomness to the
    DTLS negotiation, breaking the security guarantees of the DTLS

