=== debian/control ===
--- 
+++ 
@@ -1,23 +1,34 @@
 Source: gnutls28
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
-Uploaders: Andreas Metzler <ametzler@debian.org>,
+Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Uploaders:
+ Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
  Simon Josefsson <simon@josefsson.org>
-Build-Depends: autogen (>= 1:5.16-0),
- automake (>= 1:1.12.2), bison, chrpath, debhelper (>= 10),
- libgmp-dev (>= 2:6), libidn2-dev, libopts25-dev,
- libp11-kit-dev (>= 0.23.10), libtasn1-6-dev (>= 4.9),
- libunbound-dev (>= 1.5.10-1), libunistring-dev (>= 0.9.7),
- nettle-dev (>= 3.4), pkg-config,
- ca-certificates <!nocheck>, datefudge <!nocheck>,
+Build-Depends:
+ autogen (>= 1:5.16-0),
+ bison,
+ ca-certificates <!nocheck>,
+ chrpath,
+ datefudge <!nocheck>,
+ debhelper (>= 10),
  freebsd-net-tools [kfreebsd-i386 kfreebsd-amd64] <!nocheck>,
- libcmocka-dev <!nocheck>, libssl-dev <!nocheck>,
+ libcmocka-dev <!nocheck>,
+ libgmp-dev (>= 2:6),
+ libidn2-dev,
+ libopts25-dev,
+ libp11-kit-dev (>= 0.23.10),
+ libssl-dev <!nocheck>,
+ libtasn1-6-dev (>= 4.9),
+ libunbound-dev (>= 1.5.10-1),
+ libunistring-dev (>= 0.9.7),
  net-tools [!kfreebsd-i386 !kfreebsd-amd64] <!nocheck>,
- openssl <!nocheck>, softhsm2 <!nocheck>
+ nettle-dev (>= 3.4.1~rc1),
+ openssl <!nocheck>,
+ pkg-config,
+ softhsm2 <!nocheck>
 # The b-d on libgmp-dev is not technically necessary, since nettle brings
 # it along. However we want to enforce that gnutls is only built if the
 # dual-licensed GMP is available, otherwise the resulting binary
@@ -25,7 +36,7 @@
 Build-Depends-Indep: gtk-doc-tools, texinfo (>= 4.8)
 Build-Conflicts: libgnutls-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnutls-team/gnutls
 Vcs-Git: https://salsa.debian.org/gnutls-team/gnutls.git
 Homepage: https://www.gnutls.org/
@@ -34,13 +45,18 @@
 Section: libdevel
 Architecture: any
 Provides: gnutls-dev, libgnutls-openssl-dev
-Depends: libgnutls30 (= ${binary:Version}),
+Depends:
+ libc6-dev | libc-dev,
+ libgnutls-dane0 (= ${binary:Version}),
  libgnutls-openssl27 (= ${binary:Version}),
+ libgnutls30 (= ${binary:Version}),
  libgnutlsxx28 (= ${binary:Version}),
- libgnutls-dane0 (= ${binary:Version}),
- nettle-dev (>= 3.4), libc6-dev | libc-dev,
- libtasn1-6-dev, libp11-kit-dev (>= 0.23.10), libidn2-dev, ${misc:Depends}
-Suggests: gnutls-doc, gnutls-bin
+ libidn2-dev,
+ libp11-kit-dev (>= 0.23.10),
+ libtasn1-6-dev,
+ nettle-dev (>= 3.4.1~rc1),
+ ${misc:Depends}
+Suggests: gnutls-bin, gnutls-doc
 Conflicts: gnutls-dev
 Replaces: gnutls-dev
 Multi-Arch: same
@@ -64,7 +80,7 @@
 Architecture: any
 # GMP >= 6 is dual-licensed GPLv2+/LGPLv2.1+. Be nice to rdeps and
 # enforce usage of this version. - Remove on gmp soname bump!
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp10 (>= 2:6)
+Depends: libgmp10 (>= 2:6), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: gnutls-bin
 Multi-Arch: same
@@ -87,7 +103,7 @@
 Package: gnutls-bin
 Architecture: any
 Section: net
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: GNU TLS library - commandline utilities
  GnuTLS is a portable library which implements the Transport Layer
@@ -135,7 +151,10 @@
 
 Package: libgnutlsxx28
 Architecture: any
-Depends: libgnutls30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ libgnutls30 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: GNU TLS library - C++ runtime library
@@ -156,7 +175,10 @@
 
 Package: libgnutls-openssl27
 Architecture: any
-Depends: libgnutls30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ libgnutls30 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: GNU TLS library - OpenSSL wrapper
@@ -177,7 +199,10 @@
 
 Package: libgnutls-dane0
 Architecture: any
-Depends: libgnutls30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ libgnutls30 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 # dns-root-data for danetool
 Suggests: dns-root-data
