## gnutls28 3.6.7.4

=== debian/changelog ===
gnutls28 (3.6.7.4-1+security) unstable; urgency=medium

  * update

 -- Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>  Wed, 30 Jun 2021 15:24:21 +0800

gnutls28 (3.6.7.3-1+dde) unstable; urgency=medium

  * uos sw64 porting

 -- deepin/sw64 team <sunway@deepin.com>  Thu, 25 Feb 2021 05:42:39 +0000

gnutls28 (3.6.7.2-1+dde) buster; urgency=medium

  * upload 3.6.7-4+deb10u6.
  * rebuild

 -- yangmingjun <yangmingjun@uniontech.com>  Wed, 09 Feb 2021 09:30:13 +0800

gnutls28 (3.6.7.1-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 19 Aug 2020 18:26:13 +0800
