## gnutls28 3.6.7.6

=== debian/changelog ===
gnutls28 (3.6.7.6-1+dde) unstable; urgency=medium

  * fix: uniontech-CVE-2021-4209.patch.
  * 

 -- xinpeng wang <wangxinpeng@uniontech.com>  Mon, 14 Mar 2022 10:15:04 +0800

gnutls28 (3.6.7.5-1+security) unstable; urgency=medium

  * fix: uniontech-CVE-2020-24659.patch

 -- Hu Feng <hufeng@uniontech.com>  Mon, 05 Jul 2021 20:39:02 +0800
