## gnutls28 3.6.8

=== debian/changelog ===
gnutls28 (3.6.8-2) unstable; urgency=low

  * Use DH 11 compat again.
  * 3.6.8 builds with gcc-9. Closes: #925701
  * Fix autopkgtest on 32bit architectures. (Bug report and patch by Julian
    Andres Klode) Closes: #930541
    See also https://gitlab.com/gnutls/gnutls/merge_requests/986
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jul 2019 14:10:29 +0200

gnutls28 (3.6.8-1) experimental; urgency=low

  * New upstream version.
    + Rebuild gnutls.pdf, add b-d on texlive-generic-recommended,
      texlive-latex-base.
    + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 May 2019 18:20:43 +0200
