=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  ca-certificates <!nocheck>,
  chrpath,
  datefudge <!nocheck>,
- debhelper (>= 10),
+ debhelper-compat (=11),
  freebsd-net-tools [kfreebsd-i386 kfreebsd-amd64] <!nocheck>,
  libcmocka-dev <!nocheck>,
  libgmp-dev (>= 2:6),
@@ -33,7 +33,8 @@
 # it along. However we want to enforce that gnutls is only built if the
 # dual-licensed GMP is available, otherwise the resulting binary
 # cannot be installed.
-Build-Depends-Indep: gtk-doc-tools, texinfo (>= 4.8)
+Build-Depends-Indep: gtk-doc-tools, texinfo (>= 4.8),
+ texlive-generic-recommended, texlive-latex-base
 Build-Conflicts: libgnutls-dev
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
