## gnutls28 3.6.9

=== debian/changelog ===
gnutls28 (3.6.9-5ubuntu1.2) eoan-security; urgency=medium

  * SECURITY UPDATE: flaw in TLS session ticket key construction
    - debian/patches/CVE-2020-13777.patch: differentiate initial state from
      valid time window of TOTP in lib/stek.c,
      tests/resume-with-previous-stek.c, tests/tls13/prf-early.c.
    - CVE-2020-13777

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Jun 2020 07:19:51 -0400

gnutls28 (3.6.9-5ubuntu1.1) eoan-security; urgency=medium

  * SECURITY UPDATE: incorrect randomness in DTLS negotiation
    - debian/patches/CVE-2020-11501.patch: fix zeroed random in
      lib/handshake.c.
    - CVE-2020-11501

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 Apr 2020 08:05:51 -0400

gnutls28 (3.6.9-5ubuntu1) eoan; urgency=medium

  * Build-depend on texlive-plain-generic instead of obsolete texlive-
    generic-recommended.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Oct 2019 13:25:29 -0700

gnutls28 (3.6.9-5) unstable; urgency=medium

  * 40_gnutls_epoch_set_keys-do-not-forbid-random-padding-.patch from upstream
    GIT master: Fix interop problems with gnutls 2.x. Closes: #933538

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Sep 2019 13:38:41 +0200

gnutls28 (3.6.9-4) unstable; urgency=medium

  * i386-fix-wrong-reloc.patch: Fix bad relocations on i386 due to broken
    assembly code. (Thanks, Steve Langasek for report and patch!)
    Closes: #934193

 -- Andreas Metzler <ametzler@debian.org>  Thu, 08 Aug 2019 19:40:21 +0200

gnutls28 (3.6.9-3) unstable; urgency=medium

  * autopkgtest: Skip system-override-sig-hash.sh.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Aug 2019 06:48:46 +0200

gnutls28 (3.6.9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 02 Aug 2019 19:12:42 +0200

gnutls28 (3.6.9-1) experimental; urgency=low

  * New upstream version.
    + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Jul 2019 16:29:55 +0200
