=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnutls28
 Section: libs
 Priority: optional
-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>,
@@ -34,10 +35,10 @@
 # dual-licensed GMP is available, otherwise the resulting binary
 # cannot be installed.
 Build-Depends-Indep: gtk-doc-tools, texinfo (>= 4.8),
- texlive-generic-recommended, texlive-latex-base
+ texlive-plain-generic, texlive-latex-base
 Build-Conflicts: libgnutls-dev
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnutls-team/gnutls
 Vcs-Git: https://salsa.debian.org/gnutls-team/gnutls.git
 Homepage: https://www.gnutls.org/
