=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,7 @@
 	dh_auto_build $(BDIR) --verbose --parallel
 ifeq ($(filter --disable-doc,$(AMCONFBUILDINDEP)),)
 	$(MAKE) -C b4deb html
+	rm -f doc/gnutls.pdf && $(MAKE) -C b4deb/doc gnutls.pdf
 else
 	$(MAKE) -C b4deb/doc/manpages
 endif
