## gnutls28 3.6.11.1

=== debian/changelog ===
gnutls28 (3.6.11.1-2ubuntu2) focal; urgency=medium

  * Refresh 1158.patch to the one that got merged upstream.
  * Import 1168.patch merge request that makes openssl-compat test suite
    pass against openssl compiled with SECLEVEL=2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 14 Jan 2020 16:48:56 +0000

gnutls28 (3.6.11.1-2ubuntu1) focal; urgency=medium

  * Import upstream pullrequest patch to allow overriding default priority
    string.
  * Set default priority string to only allow TLS1.2, DTLS1.2, and TLS1.3
    with medium security profile (2048 RSA keys minimum, and similar).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jan 2020 00:48:29 +0000

gnutls28 (3.6.11.1-2) unstable; urgency=low

  * Use dh 12 compat level.
    + Install gtk-doc files from as-installed location instead of builddir to
      avoid dh_missing warnings.
  * List *.la files in debian/not-installed.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Dec 2019 18:07:49 +0100

gnutls28 (3.6.11.1-1) experimental; urgency=low

  * New upstream version.
    Drop 50_01-guile-Do-not-attempt-to-load-shared-object-when-cros.patch
    50_02-guile-Silence-auto-compilation-warning-for-guild.patch
  * Update symbol file (VKO GOST key exchange supported was added).

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Dec 2019 07:49:26 +0100

gnutls28 (3.6.10-5) unstable; urgency=medium

  * 50_01-guile-Do-not-attempt-to-load-shared-object-when-cros.patch
    50_02-guile-Silence-auto-compilation-warning-for-guild.patch from upstream
    GIT master: Fix crossbuild error. (Thanks, Ludovic Courtès!)
    Closes: #943905

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Nov 2019 18:41:44 +0100

gnutls28 (3.6.10-4) unstable; urgency=medium

  * Add support for noguile build profile. See #943905.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Nov 2019 06:30:43 +0100

gnutls28 (3.6.10-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 30 Oct 2019 19:23:36 +0100

gnutls28 (3.6.10-2) experimental; urgency=medium

  * Switch b-d from texlive-generic-recommended to texlive-plain-generic.
    Closes: #941526

 -- Andreas Metzler <ametzler@debian.org>  Wed, 02 Oct 2019 19:46:25 +0200

gnutls28 (3.6.10-1) experimental; urgency=low

  * New upstream version.
    + Drop i386-fix-wrong-reloc.patch and
      40_gnutls_epoch_set_keys-do-not-forbid-random-padding-.patch.
    + Update symbol files.
    + Update copyright. Stop shipping a copy of the GNU Affero General Public
      License version 3. (pkcs11-mock.* is now under a different license.)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Sep 2019 18:39:12 +0200

gnutls28 (3.6.9-7) experimental; urgency=low

  * Fix copy-paste error (missing line) in libgnutls-dane0 description.
  * Re-add guile-gnutls, test-build (including testsuite) was successful.
    Closes: #905272

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Sep 2019 17:29:57 +0200

gnutls28 (3.6.9-6) experimental; urgency=low

  * Test-build guile bindings.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Sep 2019 17:34:01 +0200
