=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
  ca-certificates <!nocheck>,
  chrpath,
  datefudge <!nocheck>,
- debhelper-compat (=11),
+ debhelper-compat (=12),
  freebsd-net-tools [kfreebsd-i386 kfreebsd-amd64] <!nocheck>,
+ guile-2.2-dev <!noguile>,
  libcmocka-dev <!nocheck>,
  libgmp-dev (>= 2:6),
  libidn2-dev,
@@ -38,7 +39,7 @@
  texlive-plain-generic, texlive-latex-base
 Build-Conflicts: libgnutls-dev
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnutls-team/gnutls
 Vcs-Git: https://salsa.debian.org/gnutls-team/gnutls.git
 Homepage: https://www.gnutls.org/
@@ -210,6 +211,7 @@
 Suggests: dns-root-data
 Multi-Arch: same
 Description: GNU TLS library - DANE security support
+ GnuTLS is a portable library which implements the Transport Layer
  Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
  Transport Layer Security (DTLS 1.0, 1.2) protocols.
  .
@@ -224,3 +226,24 @@
  .
  This package contains the runtime library for DANE (DNS-based Authentication
  of Named Entities) support.
+
+Package: guile-gnutls
+Build-Profiles: <!noguile>
+Architecture: any
+Section: lisp
+Depends: ${misc:Depends}, ${shlibs:Depends}, guile-2.2
+Description: GNU TLS library - GNU Guile bindings
+ GnuTLS is a portable library which implements the Transport Layer
+ Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
+ Transport Layer Security (DTLS 1.0, 1.2) protocols.
+ .
+ GnuTLS features support for:
+  - certificate path validation, as well as DANE and trust on first use.
+  - the Online Certificate Status Protocol (OCSP).
+  - public key methods, including RSA and Elliptic curves, as well as password
+    and key authentication methods such as SRP and PSK protocols.
+  - all the strong encryption algorithms, including AES and Camellia.
+  - CPU-assisted cryptography with VIA padlock and AES-NI instruction sets.
+  - HSMs and cryptographic tokens, via PKCS #11.
+ .
+ This package contains the GNU Guile modules.
