=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,14 @@
 	then echo "--enable-gtk-doc" ; \
 	else echo "--disable-gtk-doc --disable-doc"; fi)
 
+AMCONFBUILDGUILE := $(shell if dh_listpackages | grep -q guile-gnutls ; \
+	then echo " --enable-guile" ; \
+	else  echo " --disable-guile" ; fi)
+
 CONFIGUREARGS = \
 	--enable-ld-version-script --enable-cxx \
 	--disable-rpath \
-	--enable-libdane --without-tpm --disable-guile \
+	--enable-libdane --without-tpm \
 	--enable-openssl-compatibility \
 	--disable-silent-rules \
 	--with-unbound-root-key-file=/usr/share/dns/root.key \
@@ -31,6 +35,7 @@
 	--with-packager=Debian \
 	--with-packager-bug-reports=http://bugs.debian.org/ \
 	--with-packager-version=$(DEB_VERSION) \
+	--with-default-priority-string='NORMAL:-VERS-ALL:+VERS-TLS1.3:+VERS-TLS1.2:+VERS-DTLS1.2:%PROFILE_MEDIUM'
 
 BDIR = -O--builddirectory=b4deb
 
@@ -38,21 +43,24 @@
 	dh_auto_configure --verbose $(BDIR) -- \
 		$(CONFIGUREARGS) \
 		--enable-static \
+		$(AMCONFBUILDGUILE) \
 		$(AMCONFBUILDINDEP)
 
 
 override_dh_makeshlibs:
-	dh_makeshlibs $(BDIR) -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.6.5)'
-	dh_makeshlibs $(BDIR) -p libgnutls30  -V 'libgnutls30 (>= 3.6.5-0)' -- -c4
-	dh_makeshlibs $(BDIR) -p libgnutls-dane0  -V 'libgnutls-dane0 (>= 3.6.5-0)' \
+	dh_makeshlibs $(BDIR) -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.6.11)'
+	dh_makeshlibs $(BDIR) -p libgnutls30  -V 'libgnutls30 (>= 3.6.11-0)' -- -c4
+	dh_makeshlibs $(BDIR) -p libgnutls-dane0  -V 'libgnutls-dane0 (>= 3.6.11-0)' \
 		-- -c4
-	dh_makeshlibs $(BDIR) -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.6.5-0)'
-	dh_makeshlibs $(BDIR) --remaining-packages
+	dh_makeshlibs $(BDIR) -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.6.11-0)'
+	dh_makeshlibs $(BDIR) --remaining-packages \
+		-Xguile/2.2/
 
 
 # pre-clean rule: save gnutls.pdf since it is expensive to regenerate.
 # See README.source
 override_dh_auto_clean:
+
 	if [ -e doc/gnutls.pdf ] ; then \
 		mv -v doc/gnutls.pdf doc/gnutls.pdf.debbackup ; fi
 	if test -e Makefile ; then $(MAKE) distclean ; fi
@@ -78,6 +86,13 @@
 endif
 	find debian/*/usr/lib/* -name '*.so.*.*' -type f -exec \
 		chrpath -d {} +
+ifneq ($(filter --enable-guile,$(AMCONFBUILDGUILE)),)
+	# See #658110
+	mv -v debian/tmp/usr/lib/*/guile \
+		debian/tmp/usr/lib/guile
+	sed -i -e 's_/usr/lib/[^/]*/guile/_/usr/lib/guile/_' \
+		`find debian/tmp/usr/share/guile -name '*scm' -type f`
+endif
 
 override_dh_installinfo:
 	dh_installinfo $(BDIR)
@@ -99,7 +114,12 @@
 	dh_auto_test $(BDIR) --verbose -- VERBOSE=1
 
 override_dh_clean:
+	chmod +x tests/system-override-default-priority-string.sh
 	dh_clean $(BDIR) -X.bak
+
+# Fails with "dwz: Section overlap detected"
+override_dh_dwz:
+	dh_dwz -O--builddirectory=b4deb -Xextra.go -Xgnutls.go
 
 %:
 	dh $@ --builddirectory=b4deb
